Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  javax.management.relation.RoleList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class RoleList

extends ArrayList

A RoleList represents a list of roles (Role objects). It is used as parameter when creating a relation, and when trying to set several roles in a relation (via 'setRoles()' method). It is returned as part of a RoleResult, to provide roles successfully retrieved.

Since:
  1.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`RoleList()` Constructs an empty RoleList.
`RoleList(int theInitialCapacity)` Constructs an empty RoleList with the initial capacity specified.
`RoleList(List theList)` Constructs a RoleList containing the elements of the List specified, in the order in which they are returned by the List's iterator.

Method Summary
`void` | `add(int theIndex, Role theRole)` Inserts the role specified as an element at the position specified.
`void` | `add(Role theRole)` Adds the Role specified as the last element of the list.
`boolean` | `addAll(int theIndex, RoleList theRoleList)` Inserts all of the elements in the RoleList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleList specified.
`boolean` | `addAll(RoleList theRoleList)` Appends all the elements in the RoleList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleList specified.
`void` | `set(int theIndex, Role theRole)` Sets the element at the position specified to be the role specified.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### RoleList

    public RoleList()

  Constructs an empty RoleList.

### RoleList

    public RoleList(int theInitialCapacity)

  Constructs an empty RoleList with the initial capacity specified.

  Parameters:
    `theInitialCapacity` - initial capacity

### RoleList

    public RoleList(List theList)
             throws IllegalArgumentException

  Constructs a RoleList containing the elements of the List specified, in the order in which they are returned by the List's iterator. The RoleList instance has an initial capacity of 110% of the size of the List specified.

  Parameters:
    `theList` - list of Role objects
  Throws:
    `IllegalArgumentException` - if:

    - null parameter

    or

    - an element in the List is not a Role

Method Detail

### add

    public void add(Role theRole)
             throws IllegalArgumentException

  Adds the Role specified as the last element of the list.

  Parameters:
    `theRole` - the role to be added.
  Throws:
    `IllegalArgumentException` - if the role is null.

### add

    public void add(int theIndex,
                    Role theRole)
             throws IllegalArgumentException,
                    IndexOutOfBoundsException

  Inserts the role specified as an element at the position specified. Elements with an index greater than or equal to the current position are shifted up.

  Parameters:
    `theIndex` - The position in the list where the new Role object is to be inserted.
    `theRole` - The Role object to be inserted.
  Throws:
    `IllegalArgumentException` - if the role is null.
    `IndexOutOfBoundsException` - if accessing with an index outside of the list.

### set

    public void set(int theIndex,
                    Role theRole)
             throws IllegalArgumentException,
                    IndexOutOfBoundsException

  Sets the element at the position specified to be the role specified. The previous element at that position is discarded.

  Parameters:
    `theIndex` - The position specified.
    `theRole` - The value to which the role element should be set.
  Throws:
    `IllegalArgumentException` - if the role is null.
    `IndexOutOfBoundsException` - if accessing with an index outside of the list.

### addAll

    public boolean addAll(RoleList theRoleList)
                   throws IndexOutOfBoundsException

  Appends all the elements in the RoleList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleList specified.

  Parameters:
    `theRoleList` - Elements to be inserted into the list (can be null)
  Returns:
    true if this list changed as a result of the call.
  Throws:
    `IndexOutOfBoundsException` - if accessing with an index outside of the list.
  See Also:
    `ArrayList.addAll(Collection)`

### addAll

    public boolean addAll(int theIndex,
                          RoleList theRoleList)
                   throws IllegalArgumentException,
                          IndexOutOfBoundsException

  Inserts all of the elements in the RoleList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleList specified.

  Parameters:
    `theIndex` - Position at which to insert the first element from the RoleList specified.
    `theRoleList` - Elements to be inserted into the list.
  Returns:
    true if this list changed as a result of the call.
  Throws:
    `IllegalArgumentException` - if the role is null.
    `IndexOutOfBoundsException` - if accessing with an index outside of the list.
  See Also:
    `ArrayList.addAll(int, Collection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.